Subject: Re: [PATCH] t5540: skip under NO_CURL=NoThanks

From: Jeff King <[email-masked]>
Date: Wed, 6 May 2015 13:32:00 -0400

On Wed, May 06, 2015 at 09:58:06AM -0700, Junio C Hamano wrote:

> All the other tests in t5xxx series that require http support check
> NO_CURL and skip the test, but this one forgot to do so.

Makes sense, though I wonder if this check should just get pushed into
lib-httpd.sh. Surely we can't do anything useful with a web server we
started if we have no curl support? And this seems to support the case:

  $ comm -23 <(git grep -l lib-httpd.sh) <(git grep -l NO_CURL)
  lib-httpd.sh
  t5540-http-push-webdav.sh

After your patch, there is literally no script which includes
lib-httpd.sh but does not respect NO_CURL.

-Peff